Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.drop
Class DelegatingDropTargetAdapter

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.dnd.drop.DelegatingDropTargetAdapter

All Implemented Interfaces:
  DropTargetListener, java.util.EventListener, SWTEventListener

public class DelegatingDropTargetAdapter
extends java.lang.Object
implements DropTargetListener

This class delegates all the drop target events to the transfer drop target adapter. The transfer adapter delegates to the registered listeners

Constructor Summary
`DelegatingDropTargetAdapter(DropTargetContext aContext)` Constructor for DelegatingDropTargetAdapter.

Method Summary
`void` `dragEnter(DropTargetEvent event)`
`void` `dragLeave(DropTargetEvent event)`
`void` `dragOperationChanged(DropTargetEvent event)`
`void` `dragOver(DropTargetEvent event)`
`void` `drop(DropTargetEvent event)`
`void` `dropAccept(DropTargetEvent event)`
`Transfer[]` `getAllTransferAgents()` Returns the set of registered transfer agents.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingDropTargetAdapter

    public DelegatingDropTargetAdapter(DropTargetContext aContext)

  Constructor for DelegatingDropTargetAdapter.

Parameters:
  `aContext` - context information for the drop target

Method Detail

### dragEnter

    public void dragEnter(DropTargetEvent event)

  Specified by:
    `dragEnter` in interface `DropTargetListener`

### dragLeave

    public void dragLeave(DropTargetEvent event)

  Specified by:
    `dragLeave` in interface `DropTargetListener`

### dragOperationChanged

    public void dragOperationChanged(DropTargetEvent event)

  Specified by:
    `dragOperationChanged` in interface `DropTargetListener`

### dragOver

    public void dragOver(DropTargetEvent event)

  Specified by:
    `dragOver` in interface `DropTargetListener`

### drop

    public void drop(DropTargetEvent event)

  Specified by:
    `drop` in interface `DropTargetListener`

### dropAccept

    public void dropAccept(DropTargetEvent event)

  Specified by:
    `dropAccept` in interface `DropTargetListener`

### getAllTransferAgents

    public Transfer[] getAllTransferAgents()

  Returns the set of registered transfer agents. This is determined from the drop target service.

  Returns:
    Transfer[] an array of transfer agents

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.